Subject: bug#28308: Build failure on FreeBSD/aarch64

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Sep 2017 20:17:15 +0300

> Cc: [email-masked], [email-masked]
> From: Gergely Czuczy <[email-masked]>
> Date: Mon, 11 Sep 2017 19:12:12 +0200
> 
> > That's a call to delete_terminal, which doesn't appear in your
> > backtrace, and doesn't call xpalloc, either.  So thanks, but I'm still
> > confused.  Are you sure this is an unoptimized build?  Is it possible
> > that we are looking at LLDB bug?
> It's the lldb debug, right. And I'm sure it's an unoptimized build, I've 
> went back and checked the build flags:
> cc -Demacs  -I. -I. -I../lib -I../lib 
> -I/usr/local/include/libxml2             -MMD -MF deps/.d -MP 
> -Wno-switch -Wno-pointer-sign -Wno-string-plus-int 
> -Wno-unknown-attributes -Wno-initializer-overrides 
> -Wno-tautological-compare 
> -Wno-tautological-constant-out-of-range-compare -O0 -g 
> -fno-strict-aliasing  -Wl,-znocombreloc  (...)
> 
> If that helps, I can create a qemu VM with this fbsd build, and give you 
> the image.

Would it be possible for you to install GDB, and then repeat the same
experiment under GDB?